Page MenuHomePhabricator

1.32.0-wmf.20 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.32.0-wmf.20
Release Date
1535932800

2018 week 36 1.32-wmf.20 Changes wmf/1.32.0-wmf.20

This MediaWiki Train Deployment is scheduled for the week of Monday, September 3rd:

Monday September 3rdTuesday, September 4thWednesday, September 5thThursday, September 6thFriday
SWAT deployments only.Branch wmf.20 and deploy to Group 0 Wikis.Deploy wmf.20 to Group 1 Wikis.Deploy wmf.20 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.20 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.32.0-wmf.19
Next: 1.32.0-wmf.21

Event Timeline

greg created this task.Mar 29 2018, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2018, 6:08 PM
greg triaged this task as Normal priority.Mar 29 2018, 6:15 PM
greg assigned this task to hashar.Aug 30 2018, 4:18 PM

Mentioned in SAL (#wikimedia-operations) [2018-09-04T11:46:59Z] <hashar> Preparing train deploy 1.32.0-wmf.20 | T191066

Mentioned in SAL (#wikimedia-operations) [2018-09-04T11:50:02Z] <hashar> Cutting branch 1.32.0-wmf.20 | T191066

Mentioned in SAL (#wikimedia-operations) [2018-09-04T12:24:38Z] <hashar> scap prep 1.32.0-wmf.20 # T191066

Mentioned in SAL (#wikimedia-operations) [2018-09-04T12:32:38Z] <hashar> Applied security patches for 1.32.0-wmf.20 | T191066

Mentioned in SAL (#wikimedia-operations) [2018-09-04T12:35:29Z] <hashar> scap clean 1.32.0-wmf.18 | T191066

Mentioned in SAL (#wikimedia-operations) [2018-09-04T12:43:00Z] <hashar@deploy1001> Started scap: testwiki to php-1.32.0-wmf.20 and rebuild l10n cache - T191066

Mentioned in SAL (#wikimedia-operations) [2018-09-04T13:45:56Z] <hashar@deploy1001> Finished scap: testwiki to php-1.32.0-wmf.20 and rebuild l10n cache - T191066 (duration: 62m 55s)

Mentioned in SAL (#wikimedia-operations) [2018-09-06T13:03:42Z] <hashar> all wikis to 1.32.0-wmf.20 | T191066

hashar added a comment.Sep 6 2018, 1:11 PM

There was again T203566: ParserOutput cache incompatibility errors in 1.32.0-wmf.20 which is "just" a cache issue as I understand it. It only happens when the new version is rolled and disappear after that once the cache has been repopulated.

T203567: Warning: Invalid operand type was used: implode() expects a container as one of the arguments in /srv/mediawiki/php-1.32.0-wmf.20/includes/parser/ParserOutput.php on line 428 could potentially have been a blocker, but it does not seem to have much impact. The log spam is fairly limited and it is being looked at.

hashar added a comment.Sep 6 2018, 1:16 PM

There are some spikes of memcached errors, that is mc2** hosts being rebooted in codfw.

I'm not sure T203661 should block the train. Cosmetic error which is irritating but not broken, and is self-correcting the next time the page is edited. Not to say we won't back-port a fix for it, but "stop the train" is (and should be) a higher bar.

greg added a comment.Sep 6 2018, 6:06 PM

ack, thanks for the feedback, I was being overly cautious.

Can we declare this Resolved? The wmf.20 is everywhere…

greg closed this task as Resolved.Sep 11 2018, 6:20 PM

Indeed.

T203566 is still being worked on but, yeah, we have rolled out, and T203566 explicitly prevents us from rolling back as well (we tried..), so fine to close.

I have left it open indicating that some issues where still being working on. But yeah the stack looks more or less fine now.